$kind: http-request
url: "{{Local_URL}}reconciliations/bank-statements"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: formdata
  content:
    - type: text
      key: manually_add_transactions
      value: "true"
      description: true/false if yes send transactions data otherwise a file. Let user
        decide
    - type: text
      key: bank_account_id
      value: 39584ab8-9f4e-478d-8db8-b4566d0b0a8c
      description: required
    - type: text
      key: statement_date
      value: 2026-01-23
      description: required
    - type: text
      key: start_date
      value: 2025-12-03
      description: required
    - type: text
      key: end_date
      value: 2025-12-31
      description: required
    - type: text
      key: opening_balance
      value: "373806675.86"
      description: required
    - type: text
      key: closing_balance
      value: "292280840.37"
      description: required
    - type: text
      key: transactions[0][transaction_date]
      value: 2026-01-02
      description: required, transactions nullable if file is chosen
      disabled: true
    - type: text
      key: transactions[0][debit]
      value: "2000"
      description: nullable
      disabled: true
    - type: text
      key: transactions[0][credit]
      value: ""
      description: nullable
      disabled: true
    - type: text
      key: transactions[0][reference_number]
      value: JRHSHS
      description: nullable
      disabled: true
    - type: text
      key: transactions[0][narration]
      value: sdhjsdshshjsdhjds
      description: nullable
      disabled: true
    - type: file
      key: statement_file
      src: /Users/mac/Downloads/bank_transactions_jjtemplate.xlsx
      description: Nullable if transactions are chosen
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 2000
